/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.sshsource;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSourceConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelSshsourceSourceConnectorConfig
        extends
            CamelSourceConnectorConfig {

    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_HOST_CONF = "camel.kamelet.ssh-source.connectionHost";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_HOST_DOC = "The SSH Host";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_HOST_DEFAULT = null;
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_PORT_CONF = "camel.kamelet.ssh-source.connectionPort";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_PORT_DOC = "The SSH Port";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_PORT_DEFAULT = "22";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_USERNAME_CONF = "camel.kamelet.ssh-source.username";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_USERNAME_DOC = "The SSH username to use";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_USERNAME_DEFAULT = null;
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_PASSWORD_CONF = "camel.kamelet.ssh-source.password";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_PASSWORD_DOC = "The SSH password to use";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_PASSWORD_DEFAULT = null;
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_DELAY_CONF = "camel.kamelet.ssh-source.delay";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_DELAY_DOC = "The number of milliseconds before the next poll";
    public static final Integer CAMEL_SOURCE_SSHSOURCE_KAMELET_DELAY_DEFAULT = 500;
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_POLL_COMMAND_CONF = "camel.kamelet.ssh-source.pollCommand";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_POLL_COMMAND_DOC = "The command to run while polling the SSH session Example: date";
    public static final String CAMEL_SOURCE_SSHSOURCE_KAMELET_POLL_COMMAND_DEFAULT = null;

    public CamelSshsourceSourceConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelSshsourceSourceConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSourceConnectorConfig.conf());
        conf.define(CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_HOST_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_HOST_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_HOST_DOC);
        conf.define(CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_PORT_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_PORT_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_SSHSOURCE_KAMELET_CONNECTION_PORT_DOC);
        conf.define(CAMEL_SOURCE_SSHSOURCE_KAMELET_USERNAME_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_SSHSOURCE_KAMELET_USERNAME_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_SSHSOURCE_KAMELET_USERNAME_DOC);
        conf.define(CAMEL_SOURCE_SSHSOURCE_KAMELET_PASSWORD_CONF, ConfigDef.Type.PASSWORD, CAMEL_SOURCE_SSHSOURCE_KAMELET_PASSWORD_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_SSHSOURCE_KAMELET_PASSWORD_DOC);
        conf.define(CAMEL_SOURCE_SSHSOURCE_KAMELET_DELAY_CONF, ConfigDef.Type.INT, CAMEL_SOURCE_SSHSOURCE_KAMELET_DELAY_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SOURCE_SSHSOURCE_KAMELET_DELAY_DOC);
        conf.define(CAMEL_SOURCE_SSHSOURCE_KAMELET_POLL_COMMAND_CONF, ConfigDef.Type.STRING, CAMEL_SOURCE_SSHSOURCE_KAMELET_POLL_COMMAND_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SOURCE_SSHSOURCE_KAMELET_POLL_COMMAND_DOC);
        return conf;
    }
}